from fediseer.consts import MAX_TAGS

ELL_HEADER = """#Συχνές Ερωτήσεις για το Fediseer

Αυτό το έγγραφο θα προσπαθήσει να παρέχει ορισμούς και απαντήσεις σε συνήθεις ερωτήσεις σχετικά με το Fediseer.

[TOC]
"""

ELL_TRANSLATION_MESSAGE = "**Προσοχή**: Αυτή η μετάφραση δεν έχει υλοποιηθεί ακόμα."

ELL_FAQ = [
    {
        "category": "terminology",
        "category_translated": "τερμινολογία",
        "translated": True,
        "added": "2023-09-25",
        "question": "Τι είναι το Fediseer?",
        "stub": "fediseer",
        "document": 
"""Το fediseer (Φέντισειρ) είναι μία υπηρεσία που αποσκοπει να δημιουργήσει μια πληθοπορισμένη ταξiνόμηση για διακομιστές spam (δηλ, ανεπιθύμητων μηνυμάτων) στο το fediverse. 
Επίσης αποσκοπεί να παρέχει ένα δημόσιο χώρο στον οποίο οι διάφοροι διακομιστές του fediverse μπορουν να καθορίσουν την έγκριση/απόρριψη τους προς άλλους διακομιστές.

Με απλά λόγια, χρησιμοποιόντας τον fediseer, προσπαθούμε να καταλάβουμε εαν ένας διακομιστής διευκολύνει το spam ή όχι, χρησιμποποιόντας ένα σύστημα καθοδηγειμένο απο ανθρώπους που ονομάζεται «αλυσίδα εμπιστοσύνης».

Οι τρείς βασικές έννοιες ποι χρησιμοποιούνται στο Fediseer είναι οι εγγυήσεις (guarantees), οι εγκρίσεις (endorsements) και οι μομφές (censures).

To παρέχει ένα αναγνώσιμο από μηχανή API για την κατανάλωση των δεδομένων που περιέχονται σε αυτό.
"""
    },
    {
        "category": "terminology",
        "category_translated": "τερμινολογία",
        "translated": True,
        "added": "2023-09-25",
        "question": "Τι είναι η εγγυήση?",
        "stub": "guarantee",
        "document": 
"""Βασικά, οποιαδήποτε εγγυημένος διακομιστής απλά θεωρείται οτι δεν διευκολύνει τo spam (ανεπιθύμητα μήνυματα). 
Αυτό δεν σημαίνει ότι ένας με-εγγυημένος διακομιστής βοηθάει το spam. Αντίθετως, θεωρείται οτι ειναι άγνωστο εαν το κάνει. 
Ο στόχος μας εδώ είναι να αποτραπεί η δημιουργία ατελείωτου αριθμού νέων διακομιστών στο fediverse για την αποστολή ανεπιθύμητων μηνυμάτων.

Κάθε διακομιστής μπορεί να εγγυηθεί μόνο από έναν άλλο υπάρχων και εγγυημένο διακομιστή. Αυτό ονομάζεται «αλυσίδα εμπιστοσύνης».

Οι εγγυήσεις είναι κοινοτικής φύσης. Ενώ το fediseer το ίδιο μπορεί επίσης να εγγυηθεί στο υψηλότερο επίπεδο, 
ελπίζουμε ότι οι διαχειριστές των διακομιστών θα εγγυηθούν τους άλλους διακομιστές που γνωρίζουν 
και θα βοηθήσουν να διασφαλιστεί η υγεία όλου του δικτύου.
"""
    },
    {
        "category": "terminology",
        "category_translated": "τερμινολογία",
        "translated": False,
        "added": "2023-09-25",
        "question": "What is the chain of trust?",
        "stub": "chain of trust",
        "document": 
"""Because each instance on the fediseer can guarantee and be guaranteed by a single instance, this causes a chain to form starting from the fediseer itself. Any instance guaranteed by such an unbroken chain is considered as ham. If the guarantee for any instance in this chain is revoked, the chain of trust is broken and any instances below are considered not-guaranteed.

This allows the fediseer to quickly deal with spam instances that sneaked into the fediseer and then guaranteed a bunch more of the spammy friends. As the chain can be revoked higher up, even a whole spam network can be countered by revoking the guarantee from the first spammer guaranteed.

[Chain of Trust Devlog](https://dbzer0.com/blog/overseer-a-fediverse-chain-of-trust/)
"""
    },
    {
        "category": "terminology",
        "category_translated": "τερμινολογία",
        "translated": False,
        "added": "2023-09-25",
        "question": "What is an endorsement?",
        "stub": "endorsement",
        "document": 
"""An endorsement is a completely subjective positive judgement from one instance to another. Effectively signifying that instance A "approves" of instance B. The reason for this can be anything and do not have to be stated.

An instance can be approve of any number of instances and be endorsed by any number of instances. One can even get an autogenerated badge with the amount of endorsements they've received to display.

When looking at the instance whitelist, one can also filter by amount of endorsements. Likewise one can also export the list of instances endorsed by a subset of instances.
"""
    },
    {
        "category": "terminology",
        "category_translated": "τερμινολογία",
        "translated": False,
        "added": "2023-09-25",
        "question": "What is a censure?",
        "stub": "censure",
        "document": 
"""An censure is a completely subjective negative judgement from one instance to another. Effectively signifying that instance A "disapproves" of instance B. The reason for this can be anything and do not have to be stated.

An instance can be censure any number of instances and be censured by any number of instances.

One can export the list of instances censured by a subset of instances.
"""
    },
    {
        "category": "terminology",
        "category_translated": "τερμινολογία",
        "translated": False,
        "added": "2023-09-25",
        "question": "What is a hesitation?",
        "stub": "hesitation",
        "document": 
"""An hesitation is a mulder version of a censure, it signifies some sort of mistrust of one instance towards another. The reason for this can be anything and do not have to be stated.

An instance can be hesitate against number of instances and be doubted by number of instances.

One can export the list of instances hesitate by a subset of instances.
"""
    },
    {
        "category": "terminology",
        "category_translated": "τερμινολογία",
        "translated": False,
        "added": "2023-09-25",
        "question": "What is an instance claim?",
        "stub": "claim",
        "document": 
"""A claimed instance is an instance whose admin has requisted an API key with which to use the fediseer as their instance.

Fediseer has no users. Instead it's driven by instance admins only. Instance admins likewise only act as their instances.
"""
    },
    {
        "category": "terminology",
        "category_translated": "τερμινολογία",
        "translated": False,
        "added": "2023-09-25",
        "question": "What are instance visibilities?",
        "stub": "visibilities",
        "document": 
"""An instance can set the visibility of its endorsements, censures, and/or hesitations to one of the following:

* `OPEN`: Anyone can see and retrieve that list
* `ENDORSED`: Only instances endorsed by the source instance, can see that list
* `PRIVATE`: Only the source instance can see that list.

Note that guarantees are always public as this is necessary for the good functioning of the chain of trust.
"""
    },
    {
        "category": "terminology",
        "category_translated": "τερμινολογία",
        "translated": False,
        "added": "2023-09-25",
        "question": "What is an instance flag?",
        "stub": "flag",
        "document": 
"""An instance flag represents some marking from the fediverse admins toward an instance. There's currently the following flags

* `RESTRICTED`: The instance cannot guarantee, endorse, censure or hesitate other instances anymore. This flag is only used against egregious trolling or malicious behaviour.
* `MUTED`: The instance's visibilities are forcefully set to `PRIVATE` and cannot be changed. This flag is meant to used against trolling or harassing behaviour.
"""
    },
    {
        "category": "terminology",
        "category_translated": "τερμινολογία",
        "translated": False,
        "added": "2023-09-27",
        "question": "What is an instance tag?",
        "stub": "tag",
        "document": 
f"""An instance tag is up to {MAX_TAGS} voluntary classifications by the instance admins for their own instance. 
These tags can be anything that the owner wishes to use to describe their instance in a few words.

The tags can then be used by integrators to filter instances for their block or allow lists, 
or to help people discover instances relevant to their interests.

Like always, no hate speech is allowed.
"""
    },
    {
        "category": "functionality",
        "category_translated": "λειτουργικότητα",
        "translated": False,
        "added": "2023-09-25",
        "question": "How can I claim my instance?",
        "stub": "instance claim",
        "document": 
"""You can either use the rest API we have provided, providing your instance domain and admin username on it. Alternativey you can use one of our frontends.

You will then receive an API key in PMs, which you can afterwards use to represent your instance on the fediseer.
"""
    },
    {
        "category": "functionality",
        "category_translated": "λειτουργικότητα",
        "translated": False,
        "added": "2023-09-25",
        "question": "What can I write in my reasons for endorsements, hesitations and censures?",
        "stub": "reasons",
        "document": 
"""This is an optional free-form field for up to 255 characters. If will be handled as a comma-separated list, so we suggest using commas to split your reasons. As the reasons are meant to be used for filtering by others, we suggest you limit each entry to 2-5 words.

You are not allowed to use hate speech in your reasons.
"""
    },
    {
        "category": "functionality",
        "category_translated": "λειτουργικότητα",
        "translated": False,
        "added": "2023-09-25",
        "question": "What can I write in my evidence for censures and hesitations?",
        "stub": "evidence",
        "document": 
"""This is an optional free-form field you can use to provide receipts for this judgement or explain your reasoning in depth. If you want to provide screenshots, we suggest linking to them, for example by [opening a thread in fediblock](https://lemmy.dbzer0.com/c/fediblock).

You are not allowed to use hate speech in your evidence.
"""
    },
    {
        "category": "philosophy",
        "category_translated": "φιλοσοφία",
        "translated": False,
        "added": "2023-09-25",
        "question": "Doesn't this all cause fediverse centralization?",
        "stub": "centralization",
        "document": 
"""No. The fediseer has no official integration with fediverse software. The fediseer simply provides the information within in a machine-readable REST API. How this information is utilized is up to the various instance admins. One is perfectly free to not utilize the fediseer whatsoever.

Not only that, but the fediseer is free and open source software, allowing anyone to re-host it and run it according to their own principles. If you do not trust this fediseer instance, you can rehost yourself and people can switch instances by changing a domain name.
"""
    },
    {
        "category": "philosophy",
        "category_translated": "φιλοσοφία",
        "translated": False,
        "added": "2023-09-25",
        "question": "Doesn't this make the fediseer an authority on the fediverse?",
        "stub": "authority",
        "document": 
"""The fediseer is designed to be completely crowd-sourced as pertains to the chain of trust. The admin of the fediseer does not control what people guarantee, endorse or censure. The various instance admins are driving the chain of trust.
"""
    },
]